import re, os, sys
from datetime import datetime, timedelta

import django
sys.path.append('../')
os.environ['DJANGO_SETTINGS_MODULE'] = 'ds_events.settings'
django.setup()

from events.models import Organization, Promo, Calendar

venue, created = Organization.objects.get_or_create(name="DreamFreely",
                                                    website="https://www.dreamfreely.org",
                                                    city="St Paul",
                                                    contact_name="Canin Carlos",
                                                    contact_email="canin@dreamfreely.org",
                                                    phone_number="6124054535")

print("Created DreamFreely:", created, venue)

calendar, created = Calendar.objects.get_or_create(name='Mpls-StP', shortcode='msp', desc='none')
calendar, created = Calendar.objects.get_or_create(name='Medellin', shortcode='mde', desc='none')
calendar, created = Calendar.objects.get_or_create(name='Global', shortcode='000', desc='none')
calendar, created = Calendar.objects.get_or_create(name='Online', shortcode='111', desc='none')
